Bug 138411 - [GTK] Expose user script messages to GObject DOM bindings
Summary: [GTK] Expose user script messages to GObject DOM bindings
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Bindings (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on: 138409
Blocks: 125775
  Show dependency treegraph
 
Reported: 2014-11-05 00:44 PST by Carlos Garcia Campos
Modified: 2014-11-12 04:30 PST (History)
3 users (show)

See Also:


Attachments
Patch (14.55 KB, patch)
2014-11-05 01:00 PST, Carlos Garcia Campos
pnormand: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2014-11-05 00:44:27 PST
ssia
Comment 1 Carlos Garcia Campos 2014-11-05 01:00:57 PST
Created attachment 241009 [details]
Patch

The "raw" API is not very convenient to use, we should add custom API to make it easier to use.
Comment 2 Philippe Normand 2014-11-11 00:30:23 PST
Comment on attachment 241009 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=241009&action=review

> Source/WebCore/bindings/scripts/CodeGeneratorGObject.pm:1586
> +    return scalar(grep {$_ eq $domClassName} qw(WebKitDOMDOMWindow WebKitDOMUserMessageHandlersNamespace));

Kind of sad to hardcode this here :( Is this the only way?
Comment 3 Carlos Garcia Campos 2014-11-11 01:02:47 PST
(In reply to comment #2)
> Comment on attachment 241009 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=241009&action=review
> 
> > Source/WebCore/bindings/scripts/CodeGeneratorGObject.pm:1586
> > +    return scalar(grep {$_ eq $domClassName} qw(WebKitDOMDOMWindow WebKitDOMUserMessageHandlersNamespace));
> 
> Kind of sad to hardcode this here :( Is this the only way?

Not easily. When generating code, we know which symbols are not stable (the ones not in the stable symbols list), but custom symbols are not generated but manually implemented. The code generator knows which symbols require a custom implementation, but it doesn't know which custom symbols are actually implemented manually (most of them are simply not implemented).
Comment 4 Philippe Normand 2014-11-11 02:39:22 PST
Comment on attachment 241009 [details]
Patch

Ok then.
Comment 5 Carlos Garcia Campos 2014-11-12 04:30:54 PST
Committed r176018: <http://trac.webkit.org/changeset/176018>